cURL
curl --request POST \ --url https://sontairo.com/api/agents \ --header 'Content-Type: application/json' \ --data ' { "workspaceId": "<string>", "name": "<string>", "projectId": "<string>", "description": "<string>", "systemPrompt": "<string>", "providerKeyId": "<string>" } '
{ "data": { "id": "<string>", "workspaceId": "<string>", "projectId": "<string>", "name": "<string>", "description": "<string>", "systemPrompt": "<string>", "isActive": true, "providerKeyId": "<string>", "providerKey": { "id": "<string>", "name": "<string>", "provider": "<string>", "model": "<string>" }, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Create a new AI agent in a workspace.
The workspace ID
Agent name
1 - 100
Project to create the agent in
Agent description
500
System prompt defining agent behavior
10000
Provider key ID for AI inference
Agent created
Show child attributes